/*
 * OSC.c
 *
 *  Created on: 2019-8-12
 *      Author: charles_cai
 */
#include"main.h"

#ifndef OSC_C_
#define OSC_C_

/*
 * 功能：优先配置外部晶振。若外部晶振不存在或故障，则把时钟源自动切换成内部时钟。
 */
void Init_osc()
{
	unsigned char i=0;

	OSCCTL =0x6F;//使用外部高频晶振、分频比配置为1:1，使能双速启动，使能外部晶振时钟故障检测

	while(OSTS && (i<200))//如果时钟使用的是内部晶振，则等待不超过200个循环，
	{
		_NOP()
		_NOP()
		i++;
	}
}

#endif /* OSC_C_ */
